1. comments
api
  • auth
    • ouath
      • Login app
      • redirect
      • callback
    • accounts
      • Get Account
      • Account Delete
      • Account Preference Setttings Update
      • Account Profile Update
      • Account Deactivate
    • sessions
      • Get All Session
      • Delete Sessions
    • devices tokens
      • Create Device Tokens
    • Email Login
      POST
    • Check already account exists
      POST
    • New Account Register
      POST
    • Send OTP
      POST
    • Validate OTP email or phone
      POST
    • Refresh Tokens
      POST
    • Auth Logout
      POST
    • /auth/reset-password
      POST
    • New Password Set
      PUT
    • Password Change
      PUT
    • Email Verify
      POST
  • feed
    • Feed
      GET
  • stories
    • Create a new story
      POST
    • Get stories from friends/followers/public
      GET
    • Get a single story
      GET
    • Delete Story
      DELETE
  • analytics
  • comments
    • List User Comments
      GET
    • Create a Comment
      POST
    • Delete a Comment
      DELETE
    • Update a Comment
      PUT
    • replies
      GET
  • message
    • List all messages
    • Create a Message
    • Create a Message Reply
    • Add Emoji to Message
  • notifications
    • List all notifications
    • Mark Notification as Read
    • Delete Notification
    • Delete all notification
  • interests
    • interests
  • multipart uplaods
    • Create Multipart Uplaod
    • GetUploadedParts
    • CompleteMultipartUpload
    • AbortMultipartUpload
    • SignPartUpload
  • friends
  • admin
    • auth
      • Admin Login
      • me
  • music
    • Create music
    • Delete music
  • users
    • User Lists
    • get user by username
    • User Follow
    • User Follow Unfollow
    • Get User Followers
    • Get User following
    • Get User Friends
  • posts
    • Create Draft Post
    • Update Posts
    • Destory Post
  • places
    • places
    • Single Place
  • hashtags
    • hashtags
    • hashtags trendings
    • Single HashTag
  • reactions
    • reactions
  • reports
    • Reports
  • Welcome
    GET
  • Untitled Endpoint
    POST
  • cdn
    GET
  1. comments

List User Comments

Developing
GET
/comments

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/comments?commentable_id=1843381435948339200&commentable_type=posts&limit=undefined&cursor=undefined' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "message": "comments list",
    "result": [
        {
            "id": "1859321643738861568",
            "commentable_id": "1843381435948339200",
            "commentable_type": "posts",
            "content": "Test comment\n",
            "parent_id": null,
            "created_at": "2024-11-20T19:43:19Z",
            "updated_at": "2024-11-20T19:43:19Z",
            "user": {
                "id": "1843381396433801216",
                "avatar": "https://unavatar.io/mhsagor91@gmail.com",
                "name": "Mehedi Hasan Sagor",
                "verified": true,
                "stats": {
                    "follower_count": 0,
                    "following_count": 0,
                    "friend_count": 0,
                    "video_count": 0,
                    "share_count": 0,
                    "music_count": 0,
                    "save_count": 0,
                    "profile_view_count": 0,
                    "post_count": 0,
                    "reaction_count": 0
                },
                "username": "@mhsagor",
                "created_at": "2024-10-07T20:02:36Z",
                "updated_at": "2024-10-07T20:02:36Z"
            },
            "stats": {
                "reactions": [
                    {
                        "type": "like",
                        "count": 0
                    },
                    {
                        "type": "dislike",
                        "count": 0
                    }
                ]
            },
            "replies_count": 0
        }
    ],
    "success": true
}
Modified at 2025-10-25 06:16:30
Previous
Delete Story
Next
Create a Comment
Built with